# (anssi) Only should be changed at the same time as texlive+texlive-texmf:
%define obsolete_tetex 0

Name:           texi2html
Version:        5.0
Release:        %mkrel 13
Epoch:          0
License:        GPLv2
Group:          Publishing
Summary:        Highly customizable texinfo to HTML and other formats translator
URL:            https://www.nongnu.org/texi2html/
Source0:        https://download.savannah.nongnu.org/releases/texi2html/texi2html-%{version}.tar.gz
Patch0:         texi2html-5.0-mga-gettext.patch
Patch1:         texi2html-5.0-Do-not-install-Unicode-EastAsianWidth-if-external-is.patch
Patch2:         texi2html-5.0-Do-not-install-libintl-perl-if-external-is-used.patch
BuildArch:      noarch
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Locale::Messages)
BuildRequires:  perl(Text::Unidecode)
BuildRequires:  perl(Unicode::EastAsianWidth)
# not detected automatically because it is required at runtime based on
# user configuration
Requires:       perl(Locale::Messages)
Requires:       perl(Text::Unidecode)
Requires:       perl(Unicode::EastAsianWidth)

%if %obsolete_tetex
Obsoletes:	tetex-texi2html < 1:3.0
%else
Conflicts:	tetex-texi2html < 1:3.0
%endif

%description
The basic purpose of texi2html is to convert Texinfo documents into HTML,
and other formats. Configuration files written in perl provide fine degree
of control over the final output, allowing most every aspect of the final
output not specified in the Texinfo input file to be specified.

%prep
%autosetup -p1

# Remove bundled modules
rm -r lib

%build
autoreconf -fi
%configure \
    --with-external-libintl-perl=yes \
    --with-external-Unicode-EastAsianWidth=yes
%make_build

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO texi2html.init
%{_bindir}/texi2html
%{_datadir}/texinfo/html/texi2html.html
%{_mandir}/man*/texi2html*
%{_infodir}/texi2html.info*
%{_datadir}/texinfo/init/*.init
%dir %{_datadir}/texi2html
%dir %{_datadir}/texi2html/i18n
%dir %{_datadir}/texi2html/images
%{_datadir}/texi2html/i18n/*
%{_datadir}/texi2html/images/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0:5.0-13.mga9
+ Revision: 1814544
- Mageia 9 Mass Rebuild

* Mon May 24 2021 wally <wally> 0:5.0-12.mga9
+ Revision: 1726534
- build using system libintl-perl and Unicode-EastAsianWidth

* Thu Apr 16 2020 danf <danf> 0:5.0-11.mga8
+ Revision: 1567738
- Fix build on aarch64

* Wed Feb 12 2020 umeabot <umeabot> 0:5.0-10.mga8
+ Revision: 1508711
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0:5.0-9.mga7
+ Revision: 1291756
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 0:5.0-8.mga7
+ Revision: 1256414
- rely on filetriggers for info system (mga#23482)

* Fri Feb 05 2016 umeabot <umeabot> 0:5.0-7.mga6
+ Revision: 937883
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:5.0-6.mga5
+ Revision: 750479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:5.0-5.mga5
+ Revision: 689843
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Aug 15 2014 sander85 <sander85> 0:5.0-4.mga5
+ Revision: 662644
- Remove wrong provides

* Fri Oct 18 2013 umeabot <umeabot> 0:5.0-3.mga4
+ Revision: 519611
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0:5.0-2.mga3
+ Revision: 384421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 23 2012 spuhler <spuhler> 0:5.0-1.mga3
+ Revision: 273660
- upgrade to 5.0
  removed the Mandriva name from the arch

* Mon Sep 26 2011 spuhler <spuhler> 0:1.82-3.mga2
+ Revision: 147936
- changed Provides: tetex-texi2html = 1:3.0
  to Provides:	texi2html in order for packages to find it

* Fri Mar 04 2011 ennael <ennael> 0:1.82-2.mga1
+ Revision: 63811
- imported package texi2html


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 0:1.82-2mdv2010.0
+ Revision: 445418
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.82-1mdv2009.1
+ Revision: 332990
- New upstream release

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.78-7mdv2009.0
+ Revision: 261510
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.78-6mdv2009.0
+ Revision: 254401
- rebuild

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 0:1.78-4mdv2008.1
+ Revision: 155159
- match texlive changes

* Thu Jan 17 2008 Anssi Hannula <anssi@mandriva.org> 0:1.78-3mdv2008.1
+ Revision: 154162
- do not obsolete tetex as per texlive pkgs
- add obsolete_tetex switch to mimic texlive

* Fri Jan 11 2008 Anssi Hannula <anssi@mandriva.org> 0:1.78-2mdv2008.1
+ Revision: 147914
- versionize obsoletes

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jun 20 2007 David Walluck <walluck@mandriva.org> 0:1.78-1mdv2008.0
+ Revision: 41759
- Import texi2html



* Wed Jun 13 2007 David Walluck <walluck@mandriva.org> 0:1.78-1mdv2008.0
- release
